Jump to
Ctrl
+
/

Get Transaction Request Details

GET
/transaction-requests/{transactionRequestId}

Through this endpoint customers can obtain details on transaction request.


This regards transaction requests, which is not to be confused with transactions. Transaction requests may not be approved due to any reason, hence a transaction may not occur.

Path Parameters

transactionRequestId string Required

Represents the unique ID of the transaction request.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
amountUnit string Required

Defines the unit of the amount.

XRP
blockchain string Required

Represents the specific blockchain protocol name, e.g. Ethereum, Bitcoin, etc.

xrp
feePriority string Required

Defines the priority for the fee, if it is "slow", "standard" or "fast".

standard
network string Required

Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while networks like "testnet", "sepolia" are test networks.

testnet
note string Required

Defines an optional note for additional details.

yourNoteHere
recipients array Items (object) Required

Represents a list of recipient addresses with the respective amounts. In account-based protocols like Ethereum there is only one address in this list.

address string Required

The address which receives this transaction. In UTXO-based protocols like Bitcoin there could be several senders while in account-based protocols like Ethereum there is always only one recipient.

X7bdiEzggt3mxRsWjBDQzSAECWtbDupj52vyutnSKygGpjj
addressTag integer Optional

Defines a specific Tag that is an additional XRP address feature. It helps identify a transaction recipient beyond a wallet address. The tag that was encoded into the x-Address along with the Classic Address.

12325
amount string Required

Represents the amount received to this address.

0.001
amountUnit string Required

Defines the unit of the amount.

XRP
classicAddress string Optional

Represents the public address, which is a compressed and shortened form of a public key. A classic address is shown when the destination address is an x-Address.

rs7AT2SUBbikJe9VHcAwnCYgBEgMQhsKj1
senders object Optional

Defines details about the source, i.e. the sender.

address string Required

Sender's address.

XVNPsfTQ215p431tYGzrpzNpkXPq1JaYbNHuNRFf2A7aNcW
addressTag integer Optional

Defines a specific Tag that is an additional XRP address feature. It helps identify a transaction recipient beyond a wallet address. The tag that was encoded into the x-Address along with the Source Classic Address.

123
classicAddress string Optional

Represents the public address, which is a compressed and shortened form of a public key. The classic address is shown when the source address is an x-Address.

rNkyDE3npdL2A3P5hYDqYaLAmtjSd3mKdo
totalTransactionAmount string Required

Defines the total transaction amount.

0.001
transactionId string Required

Represents the unique identifier of a transaction, i.e. it could be transactionId in UTXO-based protocols like Bitcoin, and transaction hash in Ethereum blockchain.

3VsoZeG1n5G7CnNz5GPXnMPuYcWCdi4VPMsDdNuoZcuDJJxNbM5gwVBufR3Vqo7FH8Q7MLhDpXcDB3jorzM6BMAA
transactionRequestStatus string Required

Defines the status of the transaction request, e.g. await-approval, pending-signing, broadcasted, failed, rejected, mined.

created
transactionType string Required

Defines the transaction type, if it is for coin, token, freeze, unfreeze, withdraw-resource, delegate, undelegate, batch.

coin
vaultAccountId string Required

The ID of the vault account from which funds are sent.

6936c7e88097040007891abe
vaultId string Required

Defines the unique ID of the Vault.

60c9d9921c38030006675ff6
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "amountUnit": "XRP",
            "blockchain": "xrp",
            "feePriority": "standard",
            "network": "testnet",
            "note": "yourNoteHere",
            "recipients": [
                {
                    "address": "X7bdiEzggt3mxRsWjBDQzSAECWtbDupj52vyutnSKygGpjj",
                    "addressTag": 12325,
                    "amount": "0.001",
                    "amountUnit": "XRP",
                    "classicAddress": "rs7AT2SUBbikJe9VHcAwnCYgBEgMQhsKj1"
                }
            ],
            "senders": {
                "address": "XVNPsfTQ215p431tYGzrpzNpkXPq1JaYbNHuNRFf2A7aNcW",
                "addressTag": 123,
                "classicAddress": "rNkyDE3npdL2A3P5hYDqYaLAmtjSd3mKdo"
            },
            "totalTransactionAmount": "0.001",
            "transactionId": "3VsoZeG1n5G7CnNz5GPXnMPuYcWCdi4VPMsDdNuoZcuDJJxNbM5gwVBufR3Vqo7FH8Q7MLhDpXcDB3jorzM6BMAA",
            "transactionRequestStatus": "created",
            "transactionType": "coin",
            "vaultAccountId": "6936c7e88097040007891abe",
            "vaultId": "60c9d9921c38030006675ff6"
        }
    }
}